Subject: Re: bug#58521: human readable still wrong output (after 20+ years?)

From: Paul Eggert <[email-masked]>
Date: Mon, 2 Jan 2023 12:28:54 -0800

On 2022-10-14 09:24, chandler wrote:
> Please no excuses about how this will break other programs

Unfortunately backward-compatibility concerns are real, which means 
we're not likely to make a big change to -h's behavior at this point. 
You can use --si instead.

Assuming you're talking about 'df' and 'du', neither -h nor --si follows 
the SI standard, since they both output prefixes without units. So this 
is not a question of conforming to any standard.